Bug 1650281 - TASK [ceph-infra : start firewalld] fails when svc is masked
Summary: TASK [ceph-infra : start firewalld] fails when svc is masked
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 3.2
Assignee: Guillaume Abrioux
QA Contact: Tiffany Nguyen
URL:
Whiteboard:
Depends On:
Blocks: 1641792 1658822
TreeView+ depends on / blocked
 
Reported: 2018-11-15 18:02 UTC by John Harrigan
Modified: 2018-12-14 16:52 UTC (History)
15 users (show)

Fixed In Version: RHEL: ceph-ansible-3.2.0-0.1.rc4.el7cp Ubuntu: ceph-ansible_3.2.0~rc4-2redhat1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1658822 (view as bug list)
Environment:
Last Closed: 2018-12-04 14:29:42 UTC
Target Upstream Version:


Attachments (Terms of Use)
ansible-playbook full log (46.37 KB, text/plain)
2018-11-29 22:56 UTC, Tiffany Nguyen
no flags Details


Links
System ID Priority Status Summary Last Updated
Github ceph ceph-ansible pull 3333 None closed infra: don't restart firewalld if unit is masked 2020-01-30 09:47:53 UTC
Github ceph ceph-ansible pull 3401 None closed revert: infra: do not start firewalld if unit is masked 2020-01-30 09:47:53 UTC

Description John Harrigan 2018-11-15 18:02:39 UTC
Description of problem:
ceph-ansible attempts to restart an installed but masked service, in this case firewalld

Version-Release number of selected component (if applicable):
  ceph-ansible.noarch         3.2.0-0.1.rc1.el7cp 

Steps to Reproduce:
# rpm -q firewalld
  firewalld-0.5.3-5.el7.noarch
# systemctl status firewalld
  ● firewalld.service
   Loaded: masked (/dev/null; bad)
   Active: inactive (dead)
# cat /etc/redhat-release 
  Red Hat Enterprise Linux Server release 7.6 (Maipo)
# ansible-playbook site.yml 2>&1 | tee -a DeployBS.Nov15

Actual results:
  TASK [ceph-infra : start firewalld] ***************************************
  Thursday 15 November 2018  16:39:21 +0000 (0:00:04.326)       0:05:36.271 ** 
  fatal: [c05-h33-6018r]: FAILED! => {"changed": false, "msg": "Unable to enable  service firewalld: Failed to execute operation: Cannot send after transport endpoint shutdown\n"}
  <... Repeated for each Host ...>

Expected results:
  TASK avoids restarting services that are masked

Additional info:
worked around with these steps:
  1) ansible-playbook purge-cluster
  2) ansible all -m yum -a "name=firewalld state=absent"
  3) ansible-playbook site.yml 2>&1 | tee -a DeployBS.Nov15a

Comment 3 Ken Dreyer (Red Hat) 2018-11-27 20:02:40 UTC
will be in v3.2.0rc4

Comment 7 Tiffany Nguyen 2018-11-29 22:52:17 UTC
Tested with ceph-ansible 3.2.0-0.1.rc5.el7cp.  Issue is still existing in this build:

TASK [ceph-infra : start firewalld] **************************************************************************************************************************************
Thursday 29 November 2018  22:45:16 +0000 (0:00:00.747)       0:00:37.025 ***** 
fatal: [mero003]: FAILED! => {"changed": false, "msg": "Unable to enable service firewalld: Failed to execute operation: Cannot send after transport endpoint shutdown\n"}
fatal: [mero002]: FAILED! => {"changed": false, "msg": "Unable to enable service firewalld: Failed to execute operation: Cannot send after transport endpoint shutdown\n"}
fatal: [mero004]: FAILED! => {"changed": false, "msg": "Unable to enable service firewalld: Failed to execute operation: Cannot send after transport endpoint shutdown\n"}
fatal: [mero005]: FAILED! => {"changed": false, "msg": "Unable to enable service firewalld: Failed to execute operation: Cannot send after transport endpoint shutdown\n"}
fatal: [mero006]: FAILED! => {"changed": false, "msg": "Unable to enable service firewalld: Failed to execute operation: Cannot send after transport endpoint shutdown\n"}
fatal: [mero007]: FAILED! => {"changed": false, "msg": "Unable to enable service firewalld: Failed to execute operation: Cannot send after transport endpoint shutdown\n"}
fatal: [mero001]: FAILED! => {"changed": false, "msg": "Unable to enable service firewalld: Failed to execute operation: Cannot send after transport endpoint shutdown\n"}

Comment 8 Tiffany Nguyen 2018-11-29 22:56:53 UTC
Created attachment 1510000 [details]
ansible-playbook full log


Note You need to log in before you can comment on or make changes to this bug.